.popup {
  display:flex;
  justify-content:center;
  position: absolute;
  /* background-color:rgb(255, 0, 0, 0.5); */
  }
.dragHandle {
  /* background-color:rgb(255, 255, 0, 0.5); */
  position:absolute;
  }

/* popup 1: 'error: success!' */
#pop_error1 {
  height:130px; width:205px;
  left: 48%; top: 48%;
  z-index: 2;}
#pop_error1 .dragHandle {
  width:205px; height:25px;
  top:0; left:0;}
.popup1 {animation-name: popup1;
  animation-duration: 1s;
  height:100%;}

@keyframes popup1 {
  0% {width:0;}
  50% {width:0;}
  100% {width:100%;}
  }

/* popup 2: links to nox' fanlisting */
#pop_nox {
  height:328px; width:348px;
  left: 15%; top: 10%;
  overflow:hidden;
  z-index: 3;}
#pop_nox .dragHandle {width:320px; height:25px;
  top:25px; left:0;
  animation-name: popup2;
  animation-duration: 2s;}
.nox_button {
  border:outset;
  position:absolute;
  height:30px; width:80px;
  top:210px; left:15px;
  padding:0;
  overflow:hidden;
  z-index:4;
  animation-name: nox_button;
  animation-duration: 2s;}
button.nox_button a { color:purple}
.nox_button:active {border:inset;}
.popup2 {
  background-image: url("/imgs/misc/win-nox.png");
  background-position: center top;
  animation-name: popup2;
  animation-duration: 2s;
  animation-fill-mode: forwards;
  height:100%;
  width:0;}

@keyframes popup2 {
  0% {width:0;}
  75% {width:0;}
  100% {width:100%;}
  }
@keyframes nox_button {
  0% {opacity:0;}
  90% {opacity:0;}
  100% {opacity:1;}
  }
  
/* popup 3: virus/jk */
#pop_virus1 {
  height:165px; width:296px;
  right: 30%; bottom: 33%;
  z-index: 4;}
#pop_virus1 .dragHandle {
  width:270px; height:0;
  top:0; left:0;
  animation-name: popup3_handle;
  animation-duration: 1s;
  animation-delay: 1s;
  animation-fill-mode: forwards;}
.popup3 { height:100%; width:0;
  animation-name: popup3;
  animation-duration: 1s;
  animation-delay: 1s;
  animation-fill-mode: forwards;}

@keyframes popup3 {
  0% {width:0;}
  75% {width:0;}
  100% {width:100%;}
  }
@keyframes popup3_handle {
  0% {height:0;}
  75% {height:0;}
  100% {height:23px;}
  }